OMNeT++/OMNEST Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000011OMNeT++IDE / C++ developmentpublic2008-11-28 11:312008-12-02 01:02
Reporterbaumgart 
Assigned Toandras 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version4.0b8 
Target VersionFixed in Version4.0rc1 
Summary0000011: Discovery profile OmnetppGCCPerProjectProfile doesn't add include paths to project
DescriptionWhen using the IDE with the default discovery profile "OmnetppGCCPerProjectProfile" the CDT indexer doesn't work, because no include paths are discovered and added to the project's include path list.

Switching to "GCC per project scanner info profile" (in "Project properties"->"C/C++ Build"->"Discovery Options"->"Discovery Profile") fixes the problem.
Additional InformationUbuntu 8.04, gcc 4.2.4
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000028)
andras (administrator)
2008-11-28 13:28

CDT does not always pick up the paths OmnetppGCCPerProjectProfile supplies. Closing and reopening the project sometimes works. We'll investigate.
(0000034)
rhornig (administrator)
2008-12-01 17:16

Fixed plugin configuration. Scanner info now should correctly detect path.
(0000040)
andras (administrator)
2008-12-02 01:02

Fixed two more related problems:
- source directories were sometimes not added to the include path at all
- when directories were created/removed, include path did not update automatically (one had to close/reopen the project)

- Issue History
Date Modified Username Field Change
2008-11-28 11:31 baumgart New Issue
2008-11-28 11:31 baumgart Status new => assigned
2008-11-28 11:31 baumgart Assigned To => andras
2008-11-28 12:07 andras Status assigned => confirmed
2008-11-28 13:28 andras Note Added: 0000028
2008-12-01 17:16 rhornig Note Added: 0000034
2008-12-01 17:16 rhornig Status confirmed => resolved
2008-12-01 17:16 rhornig Fixed in Version => 4.0rc1
2008-12-01 17:16 rhornig Resolution open => fixed
2008-12-02 01:02 andras Note Added: 0000040


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker